GET api/OrderPrice/GetServiceType?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfCompanyCOSServiceDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of CompanyCOSServiceDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "COSServiceId": 1,
      "Name": "sample string 2",
      "Status": true,
      "Sequence": 1,
      "ValidFlag": true,
      "DateCreated": "2026-06-20T07:11:51.927982-07:00",
      "DateUpdated": "2026-06-20T07:11:51.927982-07:00",
      "UserIDCreated": 7,
      "UserIDUpdated": 8,
      "CompanyCode": "sample string 9",
      "IsExcludeDiscount": true
    },
    {
      "COSServiceId": 1,
      "Name": "sample string 2",
      "Status": true,
      "Sequence": 1,
      "ValidFlag": true,
      "DateCreated": "2026-06-20T07:11:51.927982-07:00",
      "DateUpdated": "2026-06-20T07:11:51.927982-07:00",
      "UserIDCreated": 7,
      "UserIDUpdated": 8,
      "CompanyCode": "sample string 9",
      "IsExcludeDiscount": true
    }
  ],
  "totalCount": 3
}